Subject: [MOBILE-IP] Mobile IPv6 - IPsec question

From: Le Franck <[email-masked]>
Date: Tue, 23 Jan 2001 18:29:24 -0600

Hi,
This question may have already been raised but why does in MIPv6, Home
address need to be in cleartext since it seems that according to [RFC2401]
section 5.2.1, the first SA look up will be based on the Destination IP
Address, the IPsec protocol and SPI. You will then use the corresponding SA
to decrypt/authenticate (step2) and after that, you will make sure if it
matches the policy (using the packet's selectors such as the decrypted home
address).
Thank you.